Page MenuHomePhabricator

Show snapshot map image as background for non-js clients
Closed, ResolvedPublic

Description

In order to enable <mapframe> on all wikis except Wikipedia (Q goal), the editing team has asked to add this feature.

<mapframe> HTML should show static map, for now without any overlays, so that even if the client has no JS enabled, they will still see the map snapshot of the location.

  • If map's location is fully determined by the geojson data it contains, it is ok to show zoom=2 whole world. Otherwise, we should show proper location.

See snapshot documentation at https://github.com/kartotherian/kartotherian#static-map-images

Event Timeline

Yurik created this task.Sep 7 2016, 9:35 PM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 7 2016, 9:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik updated the task description. (Show Details)Sep 7 2016, 9:36 PM
Yurik added a subscriber: Jdforrester-WMF.
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.Sep 8 2016, 2:22 PM

Change 309321 had a related patch set uploaded (by JGirault):
Show snapshot map image as background for non-js clients

https://gerrit.wikimedia.org/r/309321

JGirault moved this task from In progress to Needs review on the Maps-Sprint board.Sep 8 2016, 4:35 PM
Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.Sep 9 2016, 2:56 AM

Change 309321 merged by jenkins-bot:
Show snapshot map image as background for non-js clients

https://gerrit.wikimedia.org/r/309321

JGirault closed this task as Resolved.Sep 14 2016, 3:15 PM